Debian Bug report logs - #587124
saytime: looks in /users/mag/games/sounds/audio/

version graph

Package: saytime; Maintainer for saytime is Holger Levsen <holger@debian.org>; Source for saytime is src:saytime.

Reported by: Ariel <asdebian@dsgml.com>

Date: Fri, 25 Jun 2010 11:09:02 UTC

Severity: grave

Tags: confirmed, patch

Found in version saytime/1.0-22

Fixed in version saytime/1.0-23

Done: Holger Levsen <holger@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Holger Levsen <holger@debian.org>:
Bug#587124; Package saytime. (Fri, 25 Jun 2010 11:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ariel <asdebian@dsgml.com>:
New Bug report received and forwarded. Copy sent to Holger Levsen <holger@debian.org>. (Fri, 25 Jun 2010 11:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ariel <asdebian@dsgml.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: saytime: looks in /users/mag/games/sounds/audio/
Date: Fri, 25 Jun 2010 07:07:32 -0400
Package: saytime
Version: 1.0-22
Severity: grave
Justification: renders package unusable

Saytime looks in /users/mag/games/sounds/audio/the_time_is.au - even when it's passed the -d argument.

> saytime
opening audio file: No such file or directory

> strace saytime
......[snip].....
open("/users/mag/games/sounds/audio/the_time_is.au", O_RDONLY) = -1 ENOENT (No such file or directory)

> strace saytime -d /usr/share/saytime/
......[snip].....
open("/users/mag/games/sounds/audio/the_time_is.au", O_RDONLY) = -1 ENOENT (No such file or directory)

     -Ariel

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.30 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages saytime depends on:
ii  libc6                      2.10.2-6      Embedded GNU C Library: Shared lib
ii  libsox-fmt-oss             14.3.0-1.1+b1 SoX OSS format I/O library
ii  oss-compat                 0.0.4+nmu2    OSS compatibility package
ii  sox                        14.3.0-1.1+b1 Swiss army knife of sound processi

saytime recommends no packages.

saytime suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Holger Levsen <holger@debian.org>:
Bug#587124; Package saytime. (Mon, 28 Jun 2010 17:39:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Holger Levsen <holger@debian.org>. (Mon, 28 Jun 2010 17:39:17 GMT) Full text and rfc822 format available.

Message #10 received at 587124@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Ariel <asdebian@dsgml.com>, 587124@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#587124: saytime: looks in /users/mag/games/sounds/audio/
Date: Mon, 28 Jun 2010 19:38:28 +0200
[Message part 1 (text/plain, inline)]
tags 587124 + confirmed
thanks

Hi Ariel,

thanks for the bugreport. Will upload a fixed package soon.


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Added tag(s) confirmed. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 28 Jun 2010 17:39:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Holger Levsen <holger@debian.org>:
Bug#587124; Package saytime. (Fri, 16 Jul 2010 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Holger Levsen <holger@debian.org>. (Fri, 16 Jul 2010 20:51:05 GMT) Full text and rfc822 format available.

Message #17 received at 587124@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Ariel <asdebian@dsgml.com>, 587124@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#587124: saytime: looks in /users/mag/games/sounds/audio/
Date: Fri, 16 Jul 2010 22:49:22 +0200
[Message part 1 (text/plain, inline)]
tag 587124 + patch
thanks

On Fri, 25 Jun 2010 07:07:32 -0400, Ariel wrote:

> Saytime looks in /users/mag/games/sounds/audio/the_time_is.au - even when it's passed the -d argument.

The fix for this problem is not really difficult (cf. attachment).
I'm a bit hesitant to upload because saytime doesn't really work for
me:

gregoa@nerys:~$ saytime
read returned 1024, write returned 1021

(And "The ti" - first part of "The time is" - is audible, according
to strace correctly taken from /usr/share/saytime/the_time_is.au)

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #290:  The CPU has shifted, and become decentralized. 
[587124.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 16 Jul 2010 20:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Holger Levsen <holger@debian.org>:
Bug#587124; Package saytime. (Fri, 16 Jul 2010 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Holger Levsen <holger@debian.org>. (Fri, 16 Jul 2010 23:57:04 GMT) Full text and rfc822 format available.

Message #24 received at 587124@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 587124@bugs.debian.org
Cc: gregor herrmann <gregoa@debian.org>
Subject: Re: Processed: Re: Bug#587124: saytime: looks in /users/mag/games/sounds/audio/
Date: Fri, 16 Jul 2010 19:53:02 -0400
[Message part 1 (text/plain, inline)]
Hi Gregor, 

thanks for the patch, will upload shortly!


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Holger Levsen <holger@debian.org>:
Bug#587124; Package saytime. (Mon, 18 Oct 2010 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Holger Levsen <holger@debian.org>. (Mon, 18 Oct 2010 08:45:03 GMT) Full text and rfc822 format available.

Message #29 received at 587124@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 587124@bugs.debian.org
Subject: Bug#587124: Intent to NMU (saytime: looks in /users/mag/games/sounds/audio/)
Date: Mon, 18 Oct 2010 11:41:57 +0300
I have some free time and I am offering help to fix it. Please let me
know if this bug is already been worked on or if it's okay to NMU the
package for this grave bug.




Information forwarded to debian-bugs-dist@lists.debian.org, Holger Levsen <holger@debian.org>:
Bug#587124; Package saytime. (Mon, 18 Oct 2010 11:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Holger Levsen <holger@debian.org>. (Mon, 18 Oct 2010 11:39:07 GMT) Full text and rfc822 format available.

Message #34 received at 587124@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Jari Aalto <jari.aalto@cante.net>, 587124@bugs.debian.org
Subject: Re: Bug#587124: Intent to NMU (saytime: looks in /users/mag/games/sounds/audio/)
Date: Mon, 18 Oct 2010 13:37:40 +0200
[Message part 1 (text/plain, inline)]
Hi Jari,

On Montag, 18. Oktober 2010, Jari Aalto wrote:
> I have some free time and I am offering help to fix it. Please let me
> know if this bug is already been worked on or if it's okay to NMU the
> package for this grave bug.

No need to NMU, just provide a working patch in the BTS. I have time to upload 
(and to update the package in VCS properly), but not to work on the patch.

The package is in collab-maint on alioth, if you can commit there, feel free 
to do so.

Thanks.


cheers,
	Holger

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Holger Levsen <holger@debian.org>:
Bug#587124; Package saytime. (Mon, 18 Oct 2010 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Holger Levsen <holger@debian.org>. (Mon, 18 Oct 2010 11:42:03 GMT) Full text and rfc822 format available.

Message #39 received at 587124@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Jari Aalto <jari.aalto@cante.net>, 587124@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#587124: Intent to NMU (saytime: looks in /users/mag/games/sounds/audio/)
Date: Mon, 18 Oct 2010 13:39:35 +0200
[Message part 1 (text/plain, inline)]
severity 390941 serious
thanks

On Montag, 18. Oktober 2010, Jari Aalto wrote:
> I have some free time and I am offering help to fix it. Please let me
> know if this bug is already been worked on or if it's okay to NMU the
> package for this grave bug.

I forgot the "obvious", but I'm not sure you are aware: #587124 is trivial to 
fix, but #390941 a bit less so...


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Holger Levsen <holger@debian.org>:
Bug#587124; Package saytime. (Tue, 26 Oct 2010 13:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Holger Levsen <holger@debian.org>. (Tue, 26 Oct 2010 13:00:05 GMT) Full text and rfc822 format available.

Message #44 received at 587124@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: Holger Levsen <holger@layer-acht.org>
Cc: 587124@bugs.debian.org
Subject: Re: Bug#587124: Intent to NMU (saytime: looks in /users/mag/games/sounds/audio/)
Date: Tue, 26 Oct 2010 15:57:13 +0300
[Message part 1 (text/plain, inline)]
Holger Levsen <holger@layer-acht.org> writes:

> Hi Jari,
>
> On Montag, 18. Oktober 2010, Jari Aalto wrote:
>> I have some free time and I am offering help to fix it. Please let me
>> know if this bug is already been worked on or if it's okay to NMU the
>> package for this grave bug.
>
> No need to NMU, just provide a working patch in the BTS.

Here is the debdiff.

Thanks,
Jari

[saytime_1.0-22--1.0-22.1.deb.diff (text/x-diff, inline)]
diffstat for saytime_1.0-22 saytime_1.0-22.1

 Makefile                     |    2 +-
 saytime-1.0/debian/changelog |    9 +++++++++
 2 files changed, 10 insertions(+), 1 deletion(-)

diff -u saytime-1.0/debian/changelog saytime-1.0/debian/changelog
--- saytime-1.0/debian/changelog
+++ saytime-1.0/debian/changelog
@@ -1,3 +1,12 @@
+saytime (1.0-22.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Makefile
+    - Point DSOUND_DIR to /usr/share/saytime. Patch thanks to
+      Gregor Herrmann <gregoa@debian.org> (grave; Closes: #587124).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Thu, 21 Oct 2010 09:41:17 +0300
+
 saytime (1.0-22) unstable; urgency=low
 
   * New maintainer (Closes: #554253).
only in patch2:
unchanged:
--- saytime-1.0.orig/Makefile
+++ saytime-1.0/Makefile
@@ -1,7 +1,7 @@
 # Makefile for saytime.
 
 saytime:	saytime.c
-	cc -O -DSOUND_DIR=\"/users/mag/games/sounds/audio\" saytime.c -o saytime
+	cc -O -DSOUND_DIR=\"/usr/share/saytime\" saytime.c -o saytime
 
 clean:
 	rm -f saytime

Information forwarded to debian-bugs-dist@lists.debian.org, Holger Levsen <holger@debian.org>:
Bug#587124; Package saytime. (Tue, 26 Oct 2010 13:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Holger Levsen <holger@debian.org>. (Tue, 26 Oct 2010 13:15:06 GMT) Full text and rfc822 format available.

Message #49 received at 587124@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Jari Aalto <jari.aalto@cante.net>
Cc: 587124@bugs.debian.org
Subject: Re: Bug#587124: Intent to NMU (saytime: looks in /users/mag/games/sounds/audio/)
Date: Tue, 26 Oct 2010 15:12:07 +0200
[Message part 1 (text/plain, inline)]
Hi Jari,

On Dienstag, 26. Oktober 2010, Jari Aalto wrote:
> Holger Levsen <holger@layer-acht.org> writes:
> > Hi Jari,
> >
> > On Montag, 18. Oktober 2010, Jari Aalto wrote:
> >> I have some free time and I am offering help to fix it. Please let me
> >> know if this bug is already been worked on or if it's okay to NMU the
> >> package for this grave bug.
> >
> > No need to NMU, just provide a working patch in the BTS.
> Here is the debdiff.

Yeah, thats the needed diff to the Makefile. Now please as debian/patches


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Holger Levsen <holger@debian.org>:
Bug#587124; Package saytime. (Tue, 26 Oct 2010 13:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Holger Levsen <holger@debian.org>. (Tue, 26 Oct 2010 13:21:05 GMT) Full text and rfc822 format available.

Message #54 received at 587124@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Jari Aalto <jari.aalto@cante.net>, 587124@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#587124: Intent to NMU (saytime: looks in /users/mag/games/sounds/audio/)
Date: Tue, 26 Oct 2010 15:19:33 +0200
[Message part 1 (text/plain, inline)]
tags 587124 + pending
block 587124 by 390941
thanks

Hi,

On Dienstag, 26. Oktober 2010, Jari Aalto wrote:
> > No need to NMU, just provide a working patch in the BTS.
> Here is the debdiff.

to give a bit more context: direct modification of the sources, like in this 
patch proposed, is the _cause_ for this bug. There were other changes which 
got lost of this. Thats why I asked for debian/patches in my last mail...

And this bug is fixed in svn trunk anyway. The upload is blocked by #390941  - 
thats the patch I'm really asking for. And I've said so already in  
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=587124#39

And since saytime is not in squeeze anyway, and since the release team doesnt 
want to re-add packages anymore, _I_ won't do any work on #390941 now. If you 
have a working+tested patch, please send it to the bug.

svn://svn.debian.org/svn/collab-maint/deb-maint/saytime/trunk


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Tue, 26 Oct 2010 13:21:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 587124: 390941 Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Tue, 26 Oct 2010 13:21:09 GMT) Full text and rfc822 format available.

Reply sent to Holger Levsen <holger@debian.org>:
You have taken responsibility. (Mon, 19 Dec 2011 15:36:16 GMT) Full text and rfc822 format available.

Notification sent to Ariel <asdebian@dsgml.com>:
Bug acknowledged by developer. (Mon, 19 Dec 2011 15:36:17 GMT) Full text and rfc822 format available.

Message #63 received at 587124-close@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@debian.org>
To: 587124-close@bugs.debian.org
Subject: Bug#587124: fixed in saytime 1.0-23
Date: Mon, 19 Dec 2011 15:33:30 +0000
Source: saytime
Source-Version: 1.0-23

We believe that the bug you reported is fixed in the latest version of
saytime, which is due to be installed in the Debian FTP archive:

saytime_1.0-23.debian.tar.gz
  to main/s/saytime/saytime_1.0-23.debian.tar.gz
saytime_1.0-23.dsc
  to main/s/saytime/saytime_1.0-23.dsc
saytime_1.0-23_i386.deb
  to main/s/saytime/saytime_1.0-23_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587124@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Holger Levsen <holger@debian.org> (supplier of updated saytime package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 19 Dec 2011 15:58:38 +0100
Source: saytime
Binary: saytime
Architecture: source i386
Version: 1.0-23
Distribution: unstable
Urgency: low
Maintainer: Holger Levsen <holger@debian.org>
Changed-By: Holger Levsen <holger@debian.org>
Description: 
 saytime    - speaks the current time through your sound card
Closes: 321522 330414 587124
Changes: 
 saytime (1.0-23) unstable; urgency=low
 .
   * Add debian/patches/100-debian-saytime-1.0-21.patch to include lots of
     changes to saytime.c since 2002. Unfortunatly those changes were made as
     direct modifications to the file, without using debian/patches, so when I
     did my 1.0-22 upload in 2010, those changes got lost.
   * Fix "looks in /users/mag/games/sounds/audio/": set the correct directory
     in Makefile (Closes: #587124) - thanks to Gregor Herrmann for the patch.
   * saytime.1:
     - mention default format string. (Closes: #330414)
     - explain that the volume level switch is actually a volume factor switch.
       (Closes: #321522)
   * debian/control:
     - update Vcs-Headers as saytime is now maintained in git using
       collab-maint on Alioth.
     - add quilt to build-depends.
     - bump Standards Version to 3.9.2, no changes needed.
   * debian/rules:
     - use quilt.
     - add build-arch and build-indep targets, thanks lintian.
     - use dh_prep instead dh_clean -k, thanks lintian.
   * Set debian/source/format to 3.0 (quilt).
   * debian/compat: set to 8.
   * debian/saytime.prerm: Add debhelper token, thanks lintian.
Checksums-Sha1: 
 937adb4b280b72a6ffbbe52e6383e2ae641a6f60 1788 saytime_1.0-23.dsc
 e80d1abc4f5e3ce920f5ea7ce412c68544a9a83b 204152 saytime_1.0-23.debian.tar.gz
 a053616d1bf7992d436d2dbcaf7f19a5b8f90a24 173722 saytime_1.0-23_i386.deb
Checksums-Sha256: 
 d38f72733b7b69ae24a71b65973244f5213b53d5b5461ad10df9e8a047582ed1 1788 saytime_1.0-23.dsc
 3424d3cd72c2be74cb148027aa37775714fe784c0df22a85ba4ab8a2a66bdc9b 204152 saytime_1.0-23.debian.tar.gz
 bc7c86a981d956b11beb009eed964e99b460b3300c08bb6a2443ad30121d0dac 173722 saytime_1.0-23_i386.deb
Files: 
 58add51015fac89df46b7f46e563b483 1788 sound optional saytime_1.0-23.dsc
 51b2a2ca679248ed45e227cae0efbd1d 204152 sound optional saytime_1.0-23.debian.tar.gz
 3648609d5251804200f8312cadb2e4ff 173722 sound optional saytime_1.0-23_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTu9VvgkauFYGmqocAQjTQA/9F0Z7J7zzOehNxfyz0vAVCkRGynR/xtDd
akvt5iiupXBCUfo0iT0zxsw6nFQGB+jPPame+LyIa4NHdGhOs+5kdlYRAMoPXK/x
klCb+ZChIBL7WcbMZurlgIruybe43Dwr3ssmQvTEaDVcZzBiM0NRNs0ZD/i7eae0
C2CG/FeTZvcPL0fedUX7XyWaSNXOfWYTbeqhQ25u+qzvbSIFIIkW2yAXhjoszIUg
ctS2gw9WjZjXziLF55KbyRyd5uj2c4ejw0bQnTeLI6nGFqiI2nRvd4YJG8CjfFdC
jBR4ZUeuz24ksoP9W5Jj88E9WMb8jqO7pBup8ocGHAlCyL6hJZBrJpQ+GwZs+oxl
e7asLtbrvJ03YyY5vuxgyL1JI1UJ05MN0GlebRGEVxnQBkCVupzJNoWZ50qNLHJL
6e0Q3lBvzXk6Hom5dvzZj255xMmU7n+NF5YGo7NNvzzugfHKmjVRJ0K/CfQEq059
rcgQyybOu87t9ZhxPqs7JOXZyHYJfLpVCRxgPkHogk5Qx9gJ2B5ucpF3nvidQ6SY
PKswC0o0kMpBtxbKruygGXg5TtQyA0a/4EIQK763bZp5UOwPel9Wnl+PY02qgp7N
8myUKoKomx4U3V8aUip2b0Prv5wN/G0uBaAUOowcI9dpS79BCzxadKKprpdR66Ib
gfr6C1Exqac=
=+xtr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 27 Jan 2012 07:34:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:28:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.